Core - Task # 57031

Status: Resolved Priority: Must have
Author: Markus Klein Category: Extbase
Created: 2014-03-18 Assigned To: Markus Klein
Updated: 2014-03-25 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Cleanup Extbase persistance classes

Description

The classes are a mess. Lots of wrong interfaces and type hints, missing checks for having the right object, etc.

Subtasks:
Bug # 57271: Can't inherit abstract function TYPO3\CMS\Extbase\Persistence\ObjectMonito...

Resolved

Related issues:
related to Core - Task # 57263: Typo3DbQueryParser does not handle LowerCasel...

Resolved

Associated revisions

Revision e636910f - 2014-03-25 02:47 - Markus Klein

[CLEANUP] Extbase persistence classes

The classes contain wrong type hints and miss a lot of
checks whether the correct object is present.

Resolves: #57031

Releases: 6.2

Change-Id: 13d03c838b05529daf0da444119dd7{8dba6d5b8a
Reviewed-on: https://review.typo3.org/28489

Reviewed-by: Felix Oertel
Tested-by: Felix Oertel
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-03-18 12:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#2 - 2014-03-18 12:49 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489
#3 - 2014-03-18 14:08 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/28489

#4 - 2014-03-20 11:55 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28489

#5 - 2014-03-21 02:49 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28489

#6 - 2014-03-21 03:08 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28489

#7 - 2014-03-21 13:14 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28489

#8 - 2014-03-21 14:11 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28489

#9 - 2014-03-21 17:27 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28489

#10 - 2014-03-22 02:48 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28489

#11 - 2014-03-22 14:17 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28489
#12 - 2014-03-24 11:36 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#13 - 2014-03-24 20:08 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#14 - 2014-03-24 20:19 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#15 - 2014-03-24 20:36 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489

#16 - 2014-03-24 20:56 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#17 - 2014-03-24 21:08 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#18 - 2014-03-24 21:11 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489

#19 - 2014-03-24 22:05 - Gerrit Code Review

Patch set 19 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#20 - 2014-03-24 22:08 - Gerrit Code Review

Patch set 20 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489
#21 - 2014-03-24 22:19 - Gerrit Code Review

Patch set 21 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#22 - 2014-03-24 22:30 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#23 - 2014-03-24 22:54 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#24 - 2014-03-24 22:56 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489

#25 - 2014-03-24 23:30 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#26 - 2014-03-25 00:01 - Gerrit Code Review

Patch set 26 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#27 - 2014-03-25 00:10 - Gerrit Code Review

Patch set 27 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489

#28 - 2014-03-25 00:29 - Gerrit Code Review

Patch set 28 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#29 - 2014-03-25 00:41 - Gerrit Code Review

Patch set 29 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489
#30 - 2014-03-25 01:23 - Gerrit Code Review

Patch set 30 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#31 - 2014-03-25 01:27 - Gerrit Code Review

Patch set 31 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#32 - 2014-03-25 02:12 - Gerrit Code Review

Patch set 32 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#33 - 2014-03-25 02:22 - Gerrit Code Review

Patch set 33 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28489

#34 - 2014-03-25 02:28 - Gerrit Code Review

Patch set 34 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28489

#35 - 2014-03-25 03:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e636910fe4e074e1bcc1fd83f361d7af1808d8c8.
